/* MORGAN: Copyright 1991-2005: Univ. of Washington. All rights reserved. */
/* You may copy, use, modify, but NOT redistribute, modified or otherwise.*/
/* See: http://www.stat.washington.edu/thompson/Genepi/license.shtml      */
/*
 *   Autozgy/Lodscore setup function:
 *     chkPedFil()
 */

#include "pedchk.h"

void  chkPedFil (void);

/**
 * read and check pedigree file;  write new one if needed.
 */
void chkPedFil (void)
{
   /* check pedigree file for errors */
   if (!chk_pedfil ())
      give_up (ERR_qit);

   prntStatusCPF ();

   /* write new pedigree file, if changes to file */
   if (!mak_opedfil ())
      give_up (ERR_qit);

   return;
}
